Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1603020 - Indicate that RHV-H hosts have to be rebooted always after upgrade
Summary: Indicate that RHV-H hosts have to be rebooted always after upgrade
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.2.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.3.0
: 4.3.0
Assignee: Ondra Machacek
QA Contact: Pavol Brilla
URL:
Whiteboard:
Depends On:
Blocks: 1613875 1618980
TreeView+ depends on / blocked
 
Reported: 2018-07-19 02:37 UTC by Chetan Nagarkar
Modified: 2019-04-14 12:56 UTC (History)
9 users (show)

Fixed In Version: ovirt-engine-4.3.0_alpha
Doc Type: Bug Fix
Doc Text:
RHV-H hosts always need to be rebooted after upgrade. So in webadmin the Reboot checkbox will be not changeable by administrators for RHV-H hosts (administrators can turn off the reboot only for RHEL-H hosts). The above should be mentioned in Administration guide. For RESTAPI requests we will automatically set Reboot option to true for RHV-H hosts, for RHEL-H hosts we will honor the value from request.
Clone Of:
: 1613875 1618980 (view as bug list)
Environment:
Last Closed:
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 93418 master MERGED core: Disallow disable of reboot for oVirt node 2018-08-06 13:52:42 UTC
oVirt gerrit 93438 master MERGED Add hypervisor.name property 2018-08-06 10:02:13 UTC
oVirt gerrit 93470 master MERGED Add note to upgrade host 2018-08-06 10:10:46 UTC
oVirt gerrit 93500 model_4.2 MERGED Add hypervisor.name property 2018-08-06 11:48:22 UTC
oVirt gerrit 93502 model_4.2 MERGED Add note to upgrade host 2018-08-06 12:03:30 UTC
oVirt gerrit 93575 ovirt-engine-4.2 MERGED core: Disallow disable of reboot for oVirt node 2018-08-08 13:39:51 UTC
oVirt gerrit 93603 master MERGED restapi: Update to model 4.3.15 2018-08-09 10:35:13 UTC
oVirt gerrit 93612 ovirt-engine-4.2 MERGED restapi: Update to model 4.2.36 2018-08-12 12:45:49 UTC

Description Chetan Nagarkar 2018-07-19 02:37:20 UTC
Description of problem:
While upgrading Hosts from RHV manager, It prompts a warning dialogue box with check-box for 'Reboot Host after upgrade'. Even if the User unchecks the box, Host reboots.

Version-Release number of selected component (if applicable):
rhvm-4.2.4.5-0.1.el7_3

How reproducible:
100%

Steps to Reproduce:

1] Upgrade Host using RHV manager - 
  i] Select Host which shows 'Upgrade Available'.
  ii] Go to Installation -> Upgrade.
  iii] Warning dialogue box opens up with a checkbox for asking 'Reboot Host after upgrade' option.
  iv] Uncheck the box and proceed with upgrading.

Actual results:
Host reboots.

Expected results:
The host should not be rebooted post upgrading packages.

Additional info:

As per upstream BZ [RFE] https://bugzilla.redhat.com/show_bug.cgi?id=1380498#c16, If user unchecks the 'Restart host after upgrade', Host should not be rebooting.

Comment 1 Michal Skrivanek 2018-07-19 04:29:40 UTC
Either way it’s probably better that it did reboot rather than the opposite. 

And attach logs and concrete description of action please. A Bug without logs is only half-useful.

Comment 2 Chetan Nagarkar 2018-07-19 05:44:53 UTC
Michael,

Here is the engine logs snippet: [I will soon attach engine log file to this BZ in private]

=> Host Upgrade started:

~~~
2018-07-17 11:15:21,978+12 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (EE-ManagedThreadFactory-hostUpdatesChecker-Thread-3) [] EVENT_ID: HOST_AVAILABLE_UPDATES_FINISHED(885), Check for available updates on host Host-1 was completed successfully with message 'found updates for packages nbdkit-plugin-python-common, python-perf, nbdkit'.

2018-07-17 11:26:07,862+12 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (default task-13) [] EVENT_ID: HOST_UPGRADE_STARTED(840), Host Host-1 upgrade was started (User: admin@internal-authz).

2018-07-17 11:26:10,715+12 INFO  [org.ovirt.engine.core.vdsbroker.SetVdsStatusVDSCommand] (EE-ManagedThreadFactory-commandCoordinator-Thread-10) [abcdefgh-d8b6-46e4-aa38-08f2fe813a61] START, SetVdsStatusVDSCommand(HostName = Host-1, SetVdsStatusVDSCommandParameters:{hostId='660e3593-3cac-4e8d-9a45-5359027e306b', status='Installing', nonOperationalReason='NONE', stopSpmFailureLogged='false', maintenanceReason='null'}), log id: 755c170 <-- Installing

2018-07-17 11:26:17,072+12 INFO  [org.ovirt.engine.core.common.utils.ansible.AnsibleExecutor] (EE-ManagedThreadFactory-commandCoordinator-Thread-10) [abcdefgh-d8b6-46e4-aa38-08f2fe813a61] Executing Ansible command:  [/usr/bin/ansible-playbook, --ssh-common-args=-F /var/lib/ovirt-engine/.ssh/config, -v, --private-key=/etc/pki/ovirt-engine/keys/engine_id_rsa, --inventory=/tmp/ansible-inventory678110676435562513, /usr/share/ovirt-engine/playbooks/ovirt-host-upgrade.yml] [Logfile: /var/log/ovirt-engine/host-deploy/ovirt-host-mgmt-ansible-20180717112617-Host-1-abcdefgh-d8b6-46e4-aa38-08f2fe813a61.log]

2018-07-17 11:27:07,116+12 INFO  [org.ovirt.engine.core.common.utils.ansible.AnsibleExecutor] (EE-ManagedThreadFactory-commandCoordinator-Thread-10) [abcdefgh-d8b6-46e4-aa38-08f2fe813a61] Ansible playbook command has exited with value: 0

2018-07-17 11:27:07,123+12 WARN  [org.ovirt.engine.core.dal.job.ExecutionMessageDirector] (EE-ManagedThreadFactory-commandCoordinator-Thread-10) [1c7fb13] The message key 'SshHostReboot' is 
missing from 'bundles/ExecutionMessages'

2018-07-17 11:27:07,137+12 INFO  [org.ovirt.engine.core.bll.SshHostRebootCommand] (EE-ManagedThreadFactory-commandCoordinator-Thread-10) [1c7fb13] Running command: SshHostRebootCommand internal: true. Entities affected :  ID: 660e3593-3cac-4e8d-9a45-5359027e306b Type: VDSAction group MANIPULATE_HOST with role type ADMIN

2018-07-17 11:27:07,140+12 INFO  [org.ovirt.engine.core.bll.SshHostRebootCommand] (EE-ManagedThreadFactory-commandCoordinator-Thread-10) [1c7fb13] Opening SSH reboot session on host Host-1 

2018-07-17 11:27:07,350+12 INFO  [org.ovirt.engine.core.bll.SshHostRebootCommand] (EE-ManagedThreadFactory-commandCoordinator-Thread-10) [1c7fb13] Executing SSH reboot command on host Host-1

2018-07-17 11:27:08,900+12 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (EE-ManagedThreadFactory-commandCoordinator-Thread-10) [1c7fb13] EVENT_ID: SYSTEM_SSH_HOST_RESTART(197), Host Host-1 was restarted using SSH by the engine. <----- Host rebooted

2018-07-17 11:27:08,919+12 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (EE-ManagedThreadFactory-commandCoordinator-Thread-10) [abcdefgh-d8b6-46e4-aa38-08f2fe813a61] EVENT_ID: HOST_UPGRADE_FINISHED(842), Host Host-1 upgrade was completed successfully.
~~~

Comment 4 Ondra Machacek 2018-07-30 10:34:53 UTC
For the VDSType.oVirtNode we do always reboot the host. I couldn't find a bug requesting it, but here is patch introducing it: 

  https://gerrit.ovirt.org/#/c/53790/

Martin do you remember why we need it? Should change it?

Comment 5 Martin Perina 2018-07-30 12:25:39 UTC
No, node (RHV-H) has to be rebooted always after upgrade, there is not option to turn if off otherwise the upgrade will not actually happen (in previous version that was automatic without any option available). So I'm changing the bug title to indicate node and do following:

1. Webadmin - if selected host if node, then make Reboot checkbox disabled for user updates with Reboot option always on

2. RESTAPI - let's add documentation that reboot option is relevant only for RHEL-H hosts and it's always turned on for RHV-H hosts

Comment 7 Pavol Brilla 2018-08-15 14:23:45 UTC
"Reboot host after upgrade" option greyed out for ovirt-node
Software Version:4.3.0-0.0.master.20180814113734.gitad81cd3.el7


Note You need to log in before you can comment on or make changes to this bug.